/* DFBKana - a kana drill utility for DirectFB
 *
 * Copyright (C) 2001 Andreas Hundt <andi@fischlustig.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
                   
#ifndef DFBKANA_H
#define DFBKANA_H

#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <asm/types.h>

#include <directfb.h>
#include "config.h"

#define FONT       "decker.ttf"

/* change these values to adjust the size of everything */

#define GRIDWINDOW_WIDTH  400
#define GRIDWINDOW_HEIGHT 500

#define INFOWINDOW_WIDTH  GRIDWINDOW_WIDTH 
#define INFOWINDOW_HEIGHT GRIDWINDOW_HEIGHT/5
#define INFOWINDOW_COLOR  0xF0,0x10,0x10
#define INFOWINDOW_BORDER 3

#define DFBCHECK(x...)                                                \
     {                                                                \
          err = x;                                                    \
          if (err != DFB_OK) {                                        \
               fprintf( stderr, "%s <%d>:\n\t", __FILE__, __LINE__ ); \
               DirectFBErrorFatal( #x, err );                         \
          }                                                           \
     }

typedef struct _Kana {
     char              *romanji;
     char              *hiragana_char;
     char              *katakana_char;
     int               rating;
     int               last_correct;
} Kana;


/* DirectFB interfaces  */
extern IDirectFB               *dfb;
extern IDirectFBDisplayLayer   *layer;

extern Kana kanatab[50];

static inline long myclock()
{
     struct timeval tv;
     gettimeofday (&tv, NULL);

     return (tv.tv_sec * 1000 + tv.tv_usec / 1000);
}
                    
#endif
