/* DFBKana - a kana drill utility for DirectFB
 *
 * Copyright (C) 2001 Andreas Hundt <andi@fischlustig.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
                   
#ifndef GRIDWINDOW_H
#define GRIDWINDOW_H

void gridwindow_init( int x, int y, IDirectFBFont *font, IDirectFBFont *japanese_font );
void gridwindow_redraw( int kana_mode );
void gridwindow_setdisplaymode( int _displaymode );
void gridwindow_setsize( int w, int h );
void gridwindow_redraw_cell( int kana_nr, int kana_mode );
void gridwindow_changeopacity( int step );


void gridwindow_deinit();

int gridwindow_getkananr( int x, int y );
int gridwindow_getwidth();
int gridwindow_getheight();

/* wrapper functions */
DFBResult gridwindow_resize();
DFBResult gridwindow_getevent( DFBWindowEvent *wevt );
DFBResult gridwindow_grabpointer();
DFBResult gridwindow_ungrabpointer();
DFBResult gridwindow_setposition( int x, int y);
DFBResult gridwindow_getposition( int *x, int *y );
                    
#endif
